Transloadit
Pricing
  • File Uploads
  • File Importing
  • Video Encoding
  • Audio Encoding
  • Image Processing
  • Document Processing
  • Artificial Intelligence
  • File Filtering & Security
  • Media Cataloging
  • File Compression
  • Code Evaluation
  • File Exporting
  • Smart CDN
  • View all services
  • Explore integrations
  • Explore live demos
  • Uppy
  • TransloaditKit
  • Android SDK
  • Node SDK
  • Python SDK
  • Ruby SDK
  • Go SDK
  • Java SDK
  • PHP SDK
  • Zapier
  • MCP Server
  • Terraform
  • Essentials
  • Best Practices
  • FAQ
  • Robots
  • API
  • Formats
  • Build your first app
  • About
  • Comparisons
  • Open Source
  • Testimonials
  • Jobs
  • Security
  • Posts
  • DevTimes
  • DevTips
  • Press
  • Research
  • Case Studies
  • Solutions
  • Guides
  • Glossary
  • Legal
  • Tools
  • Helping Coursera bring education to millions around the world
  • Transloadit Support
  • Open Source Support
  • Service level agreement
EssentialsRobotsFAQAPIFormatsBest Practices
Topics
  • Endpoints
  • Response codes
  • Authentication
  • Metadata
  • API security
  • Rate limiting
  • Queues
  • Resumable uploads
Authentication
  • Create a bearer token
Assemblies
  • Create a new Assembly
  • Retrieve an Assembly Status
  • Stream Assembly changes live
  • Cancel a running Assembly
  • Replay an Assembly
  • Retrieve list of Assemblies
  • Assembly Status response
Webhooks
  • Replay Assembly Notification
Billing
  • Retrieve a month’s bill
Queues
  • Retrieve currently used priority job slots
Template Credentials
  • Create a new Template Credential
  • Retrieve a Template Credential
  • Edit a Template Credential
  • Delete a Template Credential
  • Retrieve list of Template Credentials
Templates
  • Create a new Template
  • Retrieve a Template
  • Edit a Template
  • Delete a Template
  • Retrieve list of Templates

Retrieve an Assembly Status

GEThttps://api2.transloadit.com/assemblies/{ASSEMBLY_ID}

In the response after creating an Assembly you will find a field: assembly_ssl_url. You can poll this URL every few seconds (or what is a sensible interval for your use case) to get the latest Assembly Status. Alternatively, you can subscribe to the updates stream to receive live notification about how the Assembly is progressing.

The assembly_ssl_url will contain the machine name responsible for managing the Assembly. It knows in realtime how many bytes have been uploaded. An example URL would be: https://api2⁠-jane.transloadit.com/assemblies/{ASSEMBLY_ID}.

Due to scaling algorithms we cycle though machines quickly, so you can also fall back to removing the machine name and using: https://api2.transloadit.com/assemblies/{ASSEMBLY_ID}. This will also get you the Assembly Status.

This request can be issued by anyone who knows the assembly_ssl_url. Hence, make sure to not share your assembly_ssl_urls or assembly_ids with anybody. More on this in our FAQ under: Are Assembly IDs secure?

Note

There is a rate limit implemented that will return a ASSEMBLY_STATUS_FETCHING_RATE_LIMIT_REACHED error when you send more than 3 Assembly status requests for the same Assembly ID per second.

GET query components

No request query components needed

    Response

    Here’s an example response body:

    {
        "assembly_id": "7828446e5acd4aa996dce3455ec914e9",
        "ok": "ASSEMBLY_COMPLETED",
        "message": "The Assembly was successfully completed.",
        "warnings": [],
        "account_id": "4ce4fb3d9d1842b6ba5d6f3ccee4b066",
        "assembly_ssl_url": "https://api2-jenks.transloadit.com/assemblies/7828446e5acd4aa996dce3455ec914e9",
        "assembly_url": "http://api2.jenks.transloadit.com/assemblies/7828446e5acd4aa996dce3455ec914e9",
        "build_id": "339",
        "bytes_expected": 486608,
        "bytes_received": 486608,
        "bytes_usage": 1097155,
        "client_agent": null,
        "client_ip": null,
        "client_referer": null,
        "companion_url": "https://api2-jenks.transloadit.com/companion/",
        "executing_jobs": [],
        "execution_duration": 5.281,
        "execution_start": "2020/01/09 12:02:08 GMT",
        "expected_tus_uploads": 1,
        "fields": {},
        "finished_tus_uploads": 1,
        "has_dupe_jobs": false,
        "instance": "jenks.transloadit.com",
        "is_infinite": false,
        "jobs_queue_duration": 0.01,
        "last_job_completed": "2020/01/09 12:02:14 GMT",
        "merged_params": "{\"steps\":{\":original\":{\"robot\":\"/upload/handle\"},\"faces_detected\":{\"use\":\":original\",\"robot\":\"/image/facedetect\",\"crop\":true,\"faces\":\"max-confidence\",\"format\":\"preserve\",\"crop_padding\":\"10%\"},\"exported\":{\"use\":[\"faces_detected\",\":original\"],\"robot\":\"/s3/store\",\"credentials\":\"demo_s3_credentials\"}},\"auth\":{\"key\":\"****\",\"expires\":\"2020-01-10T12:02:05.826Z\"}}",
        "notify_duration": null,
        "notify_response_code": null,
        "notify_start": null,
        "notify_status": null,
        "notify_url": null,
        "params": "{\"steps\":{\":original\":{\"robot\":\"/upload/handle\"},\"faces_detected\":{\"use\":\":original\",\"robot\":\"/image/facedetect\",\"crop\":true,\"faces\":\"max-confidence\",\"format\":\"preserve\",\"crop_padding\":\"10%\"},\"exported\":{\"use\":[\"faces_detected\",\":original\"],\"robot\":\"/s3/store\",\"credentials\":\"demo_s3_credentials\"}},\"auth\":{\"key\":\"****\",\"expires\":\"2020-01-10T12:02:05.826Z\"}}",
        "parent_assembly_status": null,
        "parent_id": null,
        "queue_duration": 0.184,
        "running_jobs": [],
        "start_date": "2020/01/09 12:02:06 GMT",
        "started_jobs": [
          ":original:::original",
          "faces_detected:::original",
          "exported:::original",
          "exported::faces_detected"
        ],
        "started_tus_uploads": 1,
        "template": null,
        "template_id": null,
        "transloadit_client": "node-sdk:2.0.8",
        "tus_url": "https://api2-jenks.transloadit.com/resumable/files/",
        "upload_duration": 2.814,
        "upload_meta_data_extracted": true,
        "uppyserver_url": "https://api2-jenks.transloadit.com/companion/",
        "websocket_url": "https://api2-jenks.transloadit.com/ws20074",
        "uploads": [
          {
            "id": "a30bd0776e7f4ac3817b056d102e8219",
            "basename": "joe-gardner-149699",
            "ext": "jpg",
            "field": "file",
            "from_batch_import": false,
            "is_tus_file": true,
            "md5hash": "fb205cb04b6998fe7ba364f70227cfa1",
            "mime": "image/jpeg",
            "name": "joe-gardner-149699.jpg",
            "original_basename": "joe-gardner-149699",
            "original_id": "a30bd0776e7f4ac3817b056d102e8219",
            "original_md5hash": "fb205cb04b6998fe7ba364f70227cfa1",
            "original_name": "joe-gardner-149699.jpg",
            "original_path": "/",
            "size": 485784,
            "ssl_url": "https://s3.amazonaws.com/demos.transloadit.com/a3/0bd0776e7f4ac3817b056d102e8219/joe-gardner-149699.jpg",
            "tus_upload_url": "https://api2-jenks.transloadit.com/resumable/files/f95ba7eebf22e0ebadcf9b09a3a91c65+DRCJv78IeFDneTwnYb3pagc8Bqg7IwlRAFpW8e3i.f4RSPIZXEeaxdheZiTBBvJ0pAyjxL3.U5TvUqWytvkObgz6Bh55biPZwLqzIK_mwRbjGl0UREMrju1zfy8.OgTg",
            "type": "image",
            "url": "http://demos.transloadit.com.s3.amazonaws.com/a3/0bd0776e7f4ac3817b056d102e8219/joe-gardner-149699.jpg",
            "meta": {
              "aspect_ratio": "1.500",
              "average_color": "#b09d96",
              "colorspace": "RGB",
              "date_file_modified": "2020/01/09 12:02:08 GMT",
              "frame_count": 1,
              "has_clipping_path": false,
              "has_transparency": false,
              "height": 1667,
              "width": 2500
            }
          }
        ],
        "results": {
          ":original": [
            {
              "id": "a30bd0776e7f4ac3817b056d102e8219",
              "basename": "joe-gardner-149699",
              "cost": 97157,
              "execTime": 0.81,
              "ext": "jpg",
              "field": "file",
              "from_batch_import": false,
              "is_tus_file": false,
              "md5hash": "fb205cb04b6998fe7ba364f70227cfa1",
              "mime": "image/jpeg",
              "name": "joe-gardner-149699.jpg",
              "original_basename": "joe-gardner-149699",
              "original_id": "a30bd0776e7f4ac3817b056d102e8219",
              "original_md5hash": "fb205cb04b6998fe7ba364f70227cfa1",
              "original_name": "joe-gardner-149699.jpg",
              "original_path": "/",
              "queue": "live",
              "queueTime": 0.01,
              "size": 485784,
              "ssl_url": "https://s3.amazonaws.com/demos.transloadit.com/a3/0bd0776e7f4ac3817b056d102e8219/joe-gardner-149699.jpg",
              "tus_upload_url": null,
              "type": "image",
              "url": "http://demos.transloadit.com.s3.amazonaws.com/a3/0bd0776e7f4ac3817b056d102e8219/joe-gardner-149699.jpg",
              "meta": {
                "aspect_ratio": "1.500",
                "average_color": "#b09d96",
                "colorspace": "RGB",
                "date_file_modified": "2020/01/09 12:02:08 GMT",
                "frame_count": 1,
                "has_clipping_path": false,
                "has_transparency": false,
                "height": 1667,
                "width": 2500
              }
            }
          ],
          "faces_detected": [
            {
              "id": "b8d12f6c517541ca86bf50c537cedb27",
              "basename": "joe-gardner-149699",
              "cost": 627606,
              "execTime": 0.83,
              "ext": "jpg",
              "field": "file",
              "from_batch_import": false,
              "is_tus_file": false,
              "md5hash": "2a5cd917f4281b9438956e489c63dfd2",
              "mime": "image/jpeg",
              "name": "joe-gardner-149699.jpg",
              "original_basename": "joe-gardner-149699",
              "original_id": "a30bd0776e7f4ac3817b056d102e8219",
              "original_md5hash": "fb205cb04b6998fe7ba364f70227cfa1",
              "original_name": "joe-gardner-149699.jpg",
              "original_path": "/",
              "queue": "live",
              "queueTime": 0,
              "size": 141822,
              "ssl_url": "https://s3.amazonaws.com/demos.transloadit.com/b8/d12f6c517541ca86bf50c537cedb27/joe-gardner-149699.jpg",
              "tus_upload_url": null,
              "type": "image",
              "url": "http://demos.transloadit.com.s3.amazonaws.com/b8/d12f6c517541ca86bf50c537cedb27/joe-gardner-149699.jpg",
              "meta": {
                "aspect_ratio": "0.739",
                "average_color": "#8d654d",
                "colorspace": "RGB",
                "date_file_created": "2020/01/09 12:02:09 GMT",
                "date_file_modified": "2020/01/09 12:02:12 GMT",
                "faces": [
                  {
                    "confidence": 99.99,
                    "height": 840,
                    "width": 621,
                    "x1": 981,
                    "x2": 1550,
                    "y1": 121,
                    "y2": 891
                  }
                ],
                "frame_count": 1,
                "has_clipping_path": false,
                "has_transparency": false,
                "height": 840,
                "width": 621
              }
            }
          ]
        }
      }
    

    For more information about the response, please refer to our documentation for the Assembly Status response.

    Previous page ← Create a new AssemblyNext page Stream Assembly changes live →
    TransloaditChecking status…

    Product

    • Services
    • Pricing
    • Demos
    • Tools
    • Security
    • Support

    Company

    • About/Press
    • Blog/Jobs
    • Comparisons/Compliance matrix
    • Research
    • Open source
    • Solutions

    Docs

    • Getting started
    • Transcoding
    • FAQ
    • API
    • Guides/DevTips
    • Supported formats

    More

    • Platform status⁠
    • Community forum⁠
    • StackOverflow⁠
    • Uppy
    • tus⁠

    © 2009–2026 Transloadit-II GmbH

    PrivacyTermsImprint